#! /usr/bin/python
# -*- coding:utf-8 -*-

from flask import Flask, request

app = Flask(__name__)

@app.route('/')
def index():
    return "Hello !"

@app.route('/contact')
def contact():
    mail = "jean@bon.fr"
    tel = "01 23 45 67 89"
    return "Mail: {} --- Tel: {}".format(mail, tel)


@app.route('/la')
def ici():
    return "Le chemin de cette route est : " + request.path

@app.route('/form1', methods=['GET'])
def contact_formulaire():
    form = """
    <form method='post' action='form1'>
    <input type='text' name='nom' placeholder='Votre nom ?'/>
    <input type='submit' value='Bonjour Flask !'/>
    </form>
    """
    return form

@app.route('/form1', methods=['POST'])
def contact_traiter_donnees():
    nom = request.form['nom']

    f = open("nomFich.txt", 'a')
    f.write (nom)
    f.close() 

    reponse = "Bonjour mon(a) che(è)r(e) {}.<br>Nom ajouté dans le fichier nomFich.txt".format(nom)
    return reponse

if __name__ == '__main__':
    app.run(debug=True)